Mandrake Linux Security Advisory : gdm (MDKSA-2007:169)

Low Nessus Plugin ID 25946


The remote Mandrake Linux host is missing one or more security updates.


A vulnerability was discovered in how gdm listens on its unix domain socket. A local user could crash a running X session by writing malicious data to gdm's unix domain socket.

Updated packages have been patched to prevent this issue.


Update the affected gdm and / or gdm-Xnest packages.

Plugin Details

Severity: Low

ID: 25946

File Name: mandrake_MDKSA-2007-169.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2007/08/28

Modified: 2013/06/01

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 1.5

Vector: CVSS2#AV:L/AC:M/Au:S/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:gdm, p-cpe:/a:mandriva:linux:gdm-Xnest, cpe:/o:mandriva:linux:2007, cpe:/o:mandriva:linux:2007.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2007/08/21

Reference Information

CVE: CVE-2007-3381

MDKSA: 2007:169